# getAllowCircularReferences method

1. @override

bool getAllowCircularReferences()
override

Retrieves the current circular reference setting.

## Usage Example:

    final allowCircularRefs = factory.getAllowCircularReferences();
    print('Circular references allowed: $allowCircularRefs');

@return true if circular references are allowed, false otherwise

## Implementation

    @override
    bool getAllowCircularReferences() => getPodFactory().getAllowCircularReferences();